# balex2ff
Un projet de plugin firefox qui interagirait avec [balex](https://balex.liris.cnrs.fr/)…

## Resources
* [solution pour échanger avec un script python](https://developer.mozilla.org/fr/docs/Mozilla/Add-ons/WebExtensions/Native_messaging)
* [a-t-on besoin de scripts de contenu ? — probablement que oui](https://developer.mozilla.org/fr/docs/Mozilla/Add-ons/WebExtensions/Content_scripts)

## Wiki Lex:gaMe
> https://wiki.lezinter.net/_/LexgaMe:Ff2balex

## Licence
> MIT ? à définir
Plug-in réalisé dans le cadre du projet [Lex:gaMe](https://aslan.universite-lyon.fr/projet-lex-game-233220.kjsp)

## Installation de l'extension (module complémentaire temporaire)
- Télécharger le dossier 'menu_extension'
- Ouvrir Firefox et accéder aux modules complémentaires (Ctrl + Shift + A (Windows/Linux) ou Cmd + Shift + A (Mac))
- Cliquer sur l'icône en haut à droite puis sur "Déboguer des modules"
- Cliquer sur "Charger un module complémentaire temporaire"
- Sélectionner le fichier 'manifest.json'
- Pour veiller au bon fonctionnement du worker de l'extension, désactiver l'option "Utiliser toujours le mode de navigation privée" voir [lien](https://firefox-source-docs.mozilla.org/devtools-user/about_colon_debugging/index.html#service-workers-not-compatible). 


## Connexion/Déconnexion de l'utilisateur via le menu de l'extension 
Via un bouton de connexion/déconnexion dans le menu de l'extension, l'utilisateur accède à la page d'authentification de [Prisms](https://prisms.lezinter.net/fr/login), complète ses informations de connexion et doit cliquer sur "Se connecter avec BaLex". Le script récupère ensuite le token d'authentification et le stocke dans le LocalStorage.
Si l'utilisateur clique sur le bouton "Se déconnecter" de l'extension, le token est supprimé.

## Activation des statistiques : 
Cliquer sur le bouton "Activer les statistiques".
Lorsqu’un utilisateur se connecte, il peut activer l'ajout automatique des mots dans les lexiques personnels sélectionnés et fixer un seuil d'ajout (Cliquer sur le bouton "Valider" après avoir fixé un seuil et sélectionné au moins une langue).

## Crédits
* [`link_to_balex.svg`](/src/assets/icons/Link_to_balex.svg) MIT https://www.svgrepo.com/svg/450128/external-link-s
* TODO : mettre les autres crédits (dépendances — ex pyodide, images, fonts)
